Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class StatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl

All Implemented Interfaces:
  java.io.Serializable, Statistic

Direct Known Subclasses:
  BoundaryStatisticImpl, CountStatisticImpl, RangeStatisticImpl, StringStatisticImpl, TimeStatisticImpl

public class StatisticImpl
extends java.lang.Object
implements Statistic, java.io.Serializable

Implementation of Statistic which records its values in member variables.

See Also:
  Serialized Form

Constructor Summary
`StatisticImpl(Statistic s)`
`StatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime)`

Method Summary
`boolean` | `equals(java.lang.Object rhs)`
`java.lang.String` | `getDescription()` Get the description for this Statistic
`long` | `getLastSampleTime()` Get the last sample time for this Statistic
`java.lang.String` | `getName()` Get the name of this Statistic
`long` | `getStartTime()` Get the start time for this Statistic
`java.lang.String` | `getUnit()` Get the units associated with this statistic.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatisticImpl

    public StatisticImpl(java.lang.String name,
                         java.lang.String description,
                         java.lang.String unit,
                         long startTime,
                         long lastSampleTime)

### StatisticImpl

    public StatisticImpl(Statistic s)

Method Detail

### getDescription

    public java.lang.String getDescription()

  Get the description for this Statistic

  Specified by:
    `getDescription` in interface `Statistic`

### getLastSampleTime

    public long getLastSampleTime()

  Get the last sample time for this Statistic

  Specified by:
    `getLastSampleTime` in interface `Statistic`

### getName

    public java.lang.String getName()

  Get the name of this Statistic

  Specified by:
    `getName` in interface `Statistic`

### getStartTime

    public long getStartTime()

  Get the start time for this Statistic

  Specified by:
    `getStartTime` in interface `Statistic`

### getUnit

    public java.lang.String getUnit()

  Get the units associated with this statistic.

  Specified by:
    `getUnit` in interface `Statistic`

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object rhs)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.